## org.apache.hadoop.security.token
Class SecretManager.InvalidToken

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.security.token.SecretManager.InvalidToken

All Implemented Interfaces:
  Serializable

Enclosing class:
  SecretManager<T extends TokenIdentifier>

    public static class SecretManager.InvalidToken

extends IOException

The token was invalid and the message explains why.

See Also:
  Serialized Form

Constructor Summary
`SecretManager.InvalidToken(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecretManager.InvalidToken

    public SecretManager.InvalidToken(String msg)

Copyright © 2009 The Apache Software Foundation